---
image: /generated/articles-docs-noise-noise-4d.png
title: noise4D()
crumb: "Make some"
---

_Part of the [`@remotion/noise`](/docs/noise) package._

Creates 4D noise.

## API

The function takes five arguments:

### `seed`

Pass any _string_ or _number_. If the seed is the same, you will get the same result for same `x`, `y`, `z` and `w` values. Change the seed to to get different results for your `x`, `y`, `z`, `w` values.

### `x`

_number_

The first dimensional value.

### `y`

_number_

The second dimensional value.

### `z`

_number_

The third dimensional value.

### `w`

_number_

The fourth dimensional value.

## Return value

A value between `-1` and `1`, swinging as your `x`, `y`, `z` and `w` values change.

## Example

```tsx twoslash
import { noise4D } from "@remotion/noise";

const x = 32;
const y = 40;
const z = 50;
const w = 64;
console.log(noise4D("my-seed", x, y, z, w));
```

## Credits

Dependency: [simplex-noise](https://www.npmjs.com/package/simplex-noise)

## See also

- [Example: Noise visualization](/docs/noise-visualization)
- [noise2D()](/docs/noise/noise-2d)
- [noise3D()](/docs/noise/noise-3d)
- [Source code for this function](https://github.com/remotion-dev/remotion/blob/main/packages/noise/src/index.ts)
- [`@remotion/noise`](/docs/noise)
